import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-30 09:46
 */
export interface BusCarPart {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    carPlateNum?: string;
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    * 出场图片
    * @type { string }
    */
    outCarImage?: string;
    /**
    * 进场图片
    * @type { string }
    */
    inCarImage?: string;
    /**
    *
    * @type { string }
    */
    carImage?: string;
    /**
    *
    * @type { string }
    */
    comeTime?: string;
    /**
    *
    * @type { string }
    */
    outTime?: string;
    /**
    * 停车时长
    * @type { number }
    */
    elapsedTime?: number;
    /**
    *
    * @type { boolean }
    */
    isCorrect?: boolean;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    carPlateNumSuffix?: string;
    /**
    * 入口点
    * @type { string }
    */
    inNode?: string;
    /**
    * 入场区域
    * @type { string }
    */
    inIsArea?: string;
    /**
    * 相机ID
    * @type { number }
    */
    inCameraId?: number;
    /**
    * 车场ID
    * @type { number }
    */
    clientId?: number;
    /**
    * 车牌颜色
    * @type { string }
    */
    plateColor?: string;
    /**
    * 0 临时车;1 VIP车;2 月租车;3 充值车;4 时租车;5 产权车;6 计次车;7 贵宾卡;8 员工卡;9 大客车;100 预约车
    * @type { number }
    */
    isFixedCar?: number;
    /**
    * 是否车牌修改
    * @type { boolean }
    */
    modifyLpn?: boolean;
    /**
    * 入场车牌识别可信度
    * @type { number }
    */
    inRecognitioncredibility?: number;
    /**
    * 出口点
    * @type { string }
    */
    outNode?: string;
    /**
    * 出场区域
    * @type { string }
    */
    outIsArea?: string;
    /**
    * 支付类型
    * @type { string }
    */
    payType?: string;
    /**
    * 支付金额
    * @type { number }
    */
    totalFee?: number;
    /**
    *
    * @type { number }
    */
    totalMoney?: number;
    /**
    * 出场车牌识别可信度
    * @type { number }
    */
    outRecognitioncredibility?: number;
    /**
    * 入场车牌类型
    * @type { number }
    */
    inLpnType?: number;
    /**
    * 出场车牌类型
    * @type { number }
    */
    outLpnType?: number;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 入场放行原因
    * @type { string }
    */
    inReason?: string;
    /**
    * 出场放行原因
    * @type { string }
    */
    outReason?: string;
    /**
    * 入场图片
    * @type { string }
    */
    inPicture?: string;
    /**
    * 出场图片
    * @type { string }
    */
    outPicture?: string;
    /**
    * 预留字段1
    * @type { string }
    */
    param1?: string;
    /**
    *
    * @type { string }
    */
    param2?: string;
    /**
    *
    * @type { string }
    */
    param3?: string;
    /**
    *
    * @type { string }
    */
    param4?: string;
    /**
    *
    * @type { number }
    */
    freeTime?: number;
    /**
    * 抵扣金额（单位分）
    * @type { number }
    */
    freeMoney?: number;
    /**
    *
    * @type { string }
    */
    comeAttributes?: string;
    /**
    *
    * @type { string }
    */
    outAttributes?: string;
    /**
    * 相机ID
    * @type { number }
    */
    outCameraId?: number;
    /**
    * extend field in BusParkingLot
    *
    * @type { string }
    */
    lotName?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class BusCarPartMI {
    static get ID(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get OUT_CAR_IMAGE(): FieldInfo;
    static get IN_CAR_IMAGE(): FieldInfo;
    static get CAR_IMAGE(): FieldInfo;
    static get COME_TIME(): FieldInfo;
    static get OUT_TIME(): FieldInfo;
    static get ELAPSED_TIME(): FieldInfo;
    static get IS_CORRECT(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CAR_PLATE_NUM_SUFFIX(): FieldInfo;
    static get IN_NODE(): FieldInfo;
    static get IN_IS_AREA(): FieldInfo;
    static get IN_CAMERA_ID(): FieldInfo;
    static get CLIENT_ID(): FieldInfo;
    static get PLATE_COLOR(): FieldInfo;
    static get IS_FIXED_CAR(): FieldInfo;
    static get MODIFY_LPN(): FieldInfo;
    static get IN_RECOGNITIONCREDIBILITY(): FieldInfo;
    static get OUT_NODE(): FieldInfo;
    static get OUT_IS_AREA(): FieldInfo;
    static get PAY_TYPE(): FieldInfo;
    static get TOTAL_FEE(): FieldInfo;
    static get TOTAL_MONEY(): FieldInfo;
    static get OUT_RECOGNITIONCREDIBILITY(): FieldInfo;
    static get IN_LPN_TYPE(): FieldInfo;
    static get OUT_LPN_TYPE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get IN_REASON(): FieldInfo;
    static get OUT_REASON(): FieldInfo;
    static get IN_PICTURE(): FieldInfo;
    static get OUT_PICTURE(): FieldInfo;
    static get PARAM1(): FieldInfo;
    static get PARAM2(): FieldInfo;
    static get PARAM3(): FieldInfo;
    static get PARAM4(): FieldInfo;
    static get FREE_TIME(): FieldInfo;
    static get FREE_MONEY(): FieldInfo;
    static get COME_ATTRIBUTES(): FieldInfo;
    static get OUT_ATTRIBUTES(): FieldInfo;
    static get OUT_CAMERA_ID(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-30 09:46
 */
export interface BusParkingLot {
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    *
    * @type { string }
    */
    groupId?: string;
    /**
    *
    * @type { string }
    */
    lotCode?: string;
    /**
    *
    * @type { string }
    */
    lotName?: string;
    /**
    *
    * @type { string }
    */
    logoUrl?: string;
    /**
    *
    * @type { number }
    */
    totalSpace?: number;
    /**
    *
    * @type { string }
    */
    funcFlag?: string;
    /**
    *
    * @type { string }
    */
    keyword?: string;
    /**
    *
    * @type { string }
    */
    description?: string;
    /**
    * 交易手续费,百分比
    * @type { number }
    */
    tradeFee?: number;
    /**
    *
    * @type { string }
    */
    contact?: string;
    /**
    *
    * @type { string }
    */
    contactInfo?: string;
    /**
    *
    * @type { string }
    */
    provId?: string;
    /**
    *
    * @type { string }
    */
    cityId?: string;
    /**
    *
    * @type { string }
    */
    districtId?: string;
    /**
    *
    * @type { string }
    */
    lotNatureCode?: string;
    /**
    *
    * @type { string }
    */
    address?: string;
    /**
    *
    * @type { string }
    */
    useMap?: string;
    /**
    *
    * @type { string }
    */
    longitude?: string;
    /**
    *
    * @type { string }
    */
    latitude?: string;
    /**
    *
    * @type { string }
    */
    useSuperpark?: string;
    /**
    *
    * @type { string }
    */
    useKeytop?: string;
    /**
    *
    * @type { string }
    */
    useSubMer?: string;
    /**
    *
    * @type { string }
    */
    superparkSubAcct?: string;
    /**
    *
    * @type { string }
    */
    keytopSubAcct?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 操作人
    * @type { string }
    */
    operator?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    superparkSubAppid?: string;
    /**
    *
    * @type { boolean }
    */
    enableNews?: boolean;
    /**
    *
    * @type { string }
    */
    newsTemplate?: string;
    /**
    *
    * @type { string }
    */
    keytopSubAppid?: string;
    /**
    *
    * @type { string }
    */
    payUrl?: string;
    /**
    *
    * @type { string }
    */
    payQrCodeUrl?: string;
    /**
    * 共用二维码地址
    * @type { string }
    */
    shareQrCodeUrl?: string;
    /**
    *
    * @type { boolean }
    */
    enableCallback?: boolean;
    /**
    *
    * @type { string }
    */
    payCallbackUrl?: string;
    /**
    * 禁止速停车查询
    * @type { boolean }
    */
    disableStcQuery?: boolean;
    /**
    * 禁止API查询
    * @type { boolean }
    */
    disableApiQuery?: boolean;
    /**
    * 是否支持缴费
    * @type { boolean }
    */
    enablePayment?: boolean;
    /**
    *
    * @type { boolean }
    */
    enableRefund?: boolean;
    /**
    * 是否启用后付费
    * @type { boolean }
    */
    enablePostPaid?: boolean;
    /**
    * 是否启用入场消息推送
    * @type { boolean }
    */
    enableComeMsgPush?: boolean;
    /**
    * 是否启用车位消息推送
    * @type { boolean }
    */
    enableLocationMsgPush?: boolean;
    /**
    * 是否开启自定义按钮
    * @type { boolean }
    */
    enableCustomBtn?: boolean;
    /**
    * 是否开启锁车功能
    * @type { boolean }
    */
    enableLockCar?: boolean;
    /**
    * TCP 0/MQ 1
    * @type { string }
    */
    lotSyncChannel?: string;
    /**
    * 是否支持热门车场
    * @type { string }
    */
    isHot?: string;
    /**
    * 车场本地ID
    * @type { string }
    */
    clientId?: string;
    /**
    *
    * @type { string }
    */
    closeTip?: string;
    /**
    *
    * @type { string }
    */
    ordQueryBtmHtml?: string;
    /**
    * 在订单支付成功页面显示的自定义HTML
    * @type { string }
    */
    ordSuccessHtml?: string;
    /**
    *
    * @type { boolean }
    */
    isFarewellWord?: boolean;
}
export declare class BusParkingLotMI {
    static get LOT_ID(): FieldInfo;
    static get GROUP_ID(): FieldInfo;
    static get LOT_CODE(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
    static get LOGO_URL(): FieldInfo;
    static get TOTAL_SPACE(): FieldInfo;
    static get FUNC_FLAG(): FieldInfo;
    static get KEYWORD(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get TRADE_FEE(): FieldInfo;
    static get CONTACT(): FieldInfo;
    static get CONTACT_INFO(): FieldInfo;
    static get PROV_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get DISTRICT_ID(): FieldInfo;
    static get LOT_NATURE_CODE(): FieldInfo;
    static get ADDRESS(): FieldInfo;
    static get USE_MAP(): FieldInfo;
    static get LONGITUDE(): FieldInfo;
    static get LATITUDE(): FieldInfo;
    static get USE_SUPERPARK(): FieldInfo;
    static get USE_KEYTOP(): FieldInfo;
    static get USE_SUB_MER(): FieldInfo;
    static get SUPERPARK_SUB_ACCT(): FieldInfo;
    static get KEYTOP_SUB_ACCT(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get OPERATOR(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get SUPERPARK_SUB_APPID(): FieldInfo;
    static get ENABLE_NEWS(): FieldInfo;
    static get NEWS_TEMPLATE(): FieldInfo;
    static get KEYTOP_SUB_APPID(): FieldInfo;
    static get PAY_URL(): FieldInfo;
    static get PAY_QR_CODE_URL(): FieldInfo;
    static get SHARE_QR_CODE_URL(): FieldInfo;
    static get ENABLE_CALLBACK(): FieldInfo;
    static get PAY_CALLBACK_URL(): FieldInfo;
    static get DISABLE_STC_QUERY(): FieldInfo;
    static get DISABLE_API_QUERY(): FieldInfo;
    static get ENABLE_PAYMENT(): FieldInfo;
    static get ENABLE_REFUND(): FieldInfo;
    static get ENABLE_POST_PAID(): FieldInfo;
    static get ENABLE_COME_MSG_PUSH(): FieldInfo;
    static get ENABLE_LOCATION_MSG_PUSH(): FieldInfo;
    static get ENABLE_CUSTOM_BTN(): FieldInfo;
    static get ENABLE_LOCK_CAR(): FieldInfo;
    static get LOT_SYNC_CHANNEL(): FieldInfo;
    static get IS_HOT(): FieldInfo;
    static get CLIENT_ID(): FieldInfo;
    static get CLOSE_TIP(): FieldInfo;
    static get ORD_QUERY_BTM_HTML(): FieldInfo;
    static get ORD_SUCCESS_HTML(): FieldInfo;
    static get IS_FAREWELL_WORD(): FieldInfo;
}
